// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Column{
   id: column1
   property string line1: "NOT SET"
   property string val: "----"
   property int flag1: 0;

   signal clearClicked();
   onClearClicked: {
      if (flag1 === 1)
      {
         val = "----";
      }
   }

   signal digitClicked(int digit);
   height: 50
   spacing: 0
   onDigitClicked: {
      if (flag1 === 1)
      {
         if (val === "----"){
            val = "";
         }
         val += digit;
      }
   }


   Text { width: 60;text: line1; horizontalAlignment: Text.AlignHCenter; anchors.horizontalCenter: parent.horizontalCenter; color:w; font.pixelSize: 12}
   Rectangle
   {
      id: msRect
      height: 33
      color: bckgColor;
      anchors.left: parent.left
      anchors.leftMargin: 0
      anchors.right: parent.right
      anchors.rightMargin: 0
      anchors.bottom: parent.bottom
      anchors.bottomMargin: 0
      TextInput {id: value; height: 14; color: fontColor; text: val; anchors.left: parent.left; anchors.leftMargin: 0; anchors.right: parent.right; anchors.rightMargin: 0; horizontalAlignment: TextInput.AlignHCenter; font.pixelSize: 12; inputMask: "XXXX"}

      Text {id:msUnit; x: 14; text: "mS"; anchors.horizontalCenterOffset: 0; anchors.top: parent.top; anchors.topMargin: 17; anchors.horizontalCenter: parent.horizontalCenter; color:w; font.pixelSize: 12}
   }

   states: [
      State {
         name: "editMs"; when: flag1 === 1
         PropertyChanges {target: msRect; color: w;}
         PropertyChanges {target: value; color: "black";}
         PropertyChanges {target: msUnit; color: "black";}
      }
   ]

}
